diff --git a/portlets/sample-service-builder-portlet/docroot/WEB-INF/src/com/liferay/sampleservicebuilder/service/persistence/impl/FooPersistenceImpl.java b/portlets/sample-service-builder-portlet/docroot/WEB-INF/src/com/liferay/sampleservicebuilder/service/persistence/impl/FooPersistenceImpl.java
index da9847fd328..556c6a3a88b 100644
--- a/portlets/sample-service-builder-portlet/docroot/WEB-INF/src/com/liferay/sampleservicebuilder/service/persistence/impl/FooPersistenceImpl.java
+++ b/portlets/sample-service-builder-portlet/docroot/WEB-INF/src/com/liferay/sampleservicebuilder/service/persistence/impl/FooPersistenceImpl.java
@@ -1,15 +1,15 @@
 /**
  * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
  *
- * This library is free software; you can redistribute it and/or modify it under
- * the terms of the GNU Lesser General Public License as published by the Free
- * Software Foundation; either version 2.1 of the License, or (at your option)
- * any later version.
+ * The contents of this file are subject to the terms of the applicable 
+ * Liferay software end user license agreement ("License Agreement")
+ * found on www.liferay.com/legal/eulas. You may also contact Liferay, Inc.
+ * for a copy of the License Agreement. You may not use this file except in
+ * compliance with the License Agreement. 
+ * See the License Agreement for the specific language governing
+ * permissions and limitations under the License Agreement, including 
+ * but not limited to distribution rights of the Software.
  *
- * This library is distributed in the hope that it will be useful, but WITHOUT
- * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
- * FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
- * details.
  */
 
 package com.liferay.sampleservicebuilder.service.persistence.impl;
@@ -122,7 +122,7 @@ public class FooPersistenceImpl extends BasePersistenceImpl<Foo>
 	 * @param uuid the uuid
 	 * @return the matching foos
 	 */
-	@Override
+
 	public List<Foo> findByUuid(String uuid) {
 		return findByUuid(uuid, QueryUtil.ALL_POS, QueryUtil.ALL_POS, null);
 	}
@@ -139,7 +139,7 @@ public class FooPersistenceImpl extends BasePersistenceImpl<Foo>
 	 * @param end the upper bound of the range of foos (not inclusive)
 	 * @return the range of matching foos
 	 */
-	@Override
+
 	public List<Foo> findByUuid(String uuid, int start, int end) {
 		return findByUuid(uuid, start, end, null);
 	}
@@ -157,7 +157,7 @@ public class FooPersistenceImpl extends BasePersistenceImpl<Foo>
 	 * @param orderByComparator the comparator to order the results by (optionally <code>null</code>)
 	 * @return the ordered range of matching foos
 	 */
-	@Override
+
 	public List<Foo> findByUuid(String uuid, int start, int end,
 		OrderByComparator<Foo> orderByComparator) {
 		return findByUuid(uuid, start, end, orderByComparator, true);
@@ -177,7 +177,7 @@ public class FooPersistenceImpl extends BasePersistenceImpl<Foo>
 	 * @param retrieveFromCache whether to retrieve from the finder cache
 	 * @return the ordered range of matching foos
 	 */
-	@Override
+
 	public List<Foo> findByUuid(String uuid, int start, int end,
 		OrderByComparator<Foo> orderByComparator, boolean retrieveFromCache) {
 		boolean pagination = true;
@@ -299,7 +299,7 @@ public class FooPersistenceImpl extends BasePersistenceImpl<Foo>
 	 * @return the first matching foo
 	 * @throws NoSuchFooException if a matching foo could not be found
 	 */
-	@Override
+
 	public Foo findByUuid_First(String uuid,
 		OrderByComparator<Foo> orderByComparator) throws NoSuchFooException {
 		Foo foo = fetchByUuid_First(uuid, orderByComparator);
@@ -327,7 +327,7 @@ public class FooPersistenceImpl extends BasePersistenceImpl<Foo>
 	 * @param orderByComparator the comparator to order the set by (optionally <code>null</code>)
 	 * @return the first matching foo, or <code>null</code> if a matching foo could not be found
 	 */
-	@Override
+
 	public Foo fetchByUuid_First(String uuid,
 		OrderByComparator<Foo> orderByComparator) {
 		List<Foo> list = findByUuid(uuid, 0, 1, orderByComparator);
@@ -347,7 +347,7 @@ public class FooPersistenceImpl extends BasePersistenceImpl<Foo>
 	 * @return the last matching foo
 	 * @throws NoSuchFooException if a matching foo could not be found
 	 */
-	@Override
+
 	public Foo findByUuid_Last(String uuid,
 		OrderByComparator<Foo> orderByComparator) throws NoSuchFooException {
 		Foo foo = fetchByUuid_Last(uuid, orderByComparator);
@@ -375,7 +375,7 @@ public class FooPersistenceImpl extends BasePersistenceImpl<Foo>
 	 * @param orderByComparator the comparator to order the set by (optionally <code>null</code>)
 	 * @return the last matching foo, or <code>null</code> if a matching foo could not be found
 	 */
-	@Override
+
 	public Foo fetchByUuid_Last(String uuid,
 		OrderByComparator<Foo> orderByComparator) {
 		int count = countByUuid(uuid);
@@ -402,7 +402,7 @@ public class FooPersistenceImpl extends BasePersistenceImpl<Foo>
 	 * @return the previous, current, and next foo
 	 * @throws NoSuchFooException if a foo with the primary key could not be found
 	 */
-	@Override
+
 	public Foo[] findByUuid_PrevAndNext(long fooId, String uuid,
 		OrderByComparator<Foo> orderByComparator) throws NoSuchFooException {
 		Foo foo = findByPrimaryKey(fooId);
@@ -556,7 +556,7 @@ public class FooPersistenceImpl extends BasePersistenceImpl<Foo>
 	 *
 	 * @param uuid the uuid
 	 */
-	@Override
+
 	public void removeByUuid(String uuid) {
 		for (Foo foo : findByUuid(uuid, QueryUtil.ALL_POS, QueryUtil.ALL_POS,
 				null)) {
@@ -570,7 +570,7 @@ public class FooPersistenceImpl extends BasePersistenceImpl<Foo>
 	 * @param uuid the uuid
 	 * @return the number of matching foos
 	 */
-	@Override
+
 	public int countByUuid(String uuid) {
 		FinderPath finderPath = FINDER_PATH_COUNT_BY_UUID;
 
@@ -651,7 +651,7 @@ public class FooPersistenceImpl extends BasePersistenceImpl<Foo>
 	 * @return the matching foo
 	 * @throws NoSuchFooException if a matching foo could not be found
 	 */
-	@Override
+
 	public Foo findByUUID_G(String uuid, long groupId)
 		throws NoSuchFooException {
 		Foo foo = fetchByUUID_G(uuid, groupId);
@@ -686,7 +686,7 @@ public class FooPersistenceImpl extends BasePersistenceImpl<Foo>
 	 * @param groupId the group ID
 	 * @return the matching foo, or <code>null</code> if a matching foo could not be found
 	 */
-	@Override
+
 	public Foo fetchByUUID_G(String uuid, long groupId) {
 		return fetchByUUID_G(uuid, groupId, true);
 	}
@@ -699,7 +699,7 @@ public class FooPersistenceImpl extends BasePersistenceImpl<Foo>
 	 * @param retrieveFromCache whether to retrieve from the finder cache
 	 * @return the matching foo, or <code>null</code> if a matching foo could not be found
 	 */
-	@Override
+
 	public Foo fetchByUUID_G(String uuid, long groupId,
 		boolean retrieveFromCache) {
 		Object[] finderArgs = new Object[] { uuid, groupId };
@@ -803,7 +803,7 @@ public class FooPersistenceImpl extends BasePersistenceImpl<Foo>
 	 * @param groupId the group ID
 	 * @return the foo that was removed
 	 */
-	@Override
+
 	public Foo removeByUUID_G(String uuid, long groupId)
 		throws NoSuchFooException {
 		Foo foo = findByUUID_G(uuid, groupId);
@@ -818,7 +818,7 @@ public class FooPersistenceImpl extends BasePersistenceImpl<Foo>
 	 * @param groupId the group ID
 	 * @return the number of matching foos
 	 */
-	@Override
+
 	public int countByUUID_G(String uuid, long groupId) {
 		FinderPath finderPath = FINDER_PATH_COUNT_BY_UUID_G;
 
@@ -914,7 +914,7 @@ public class FooPersistenceImpl extends BasePersistenceImpl<Foo>
 	 * @param companyId the company ID
 	 * @return the matching foos
 	 */
-	@Override
+
 	public List<Foo> findByUuid_C(String uuid, long companyId) {
 		return findByUuid_C(uuid, companyId, QueryUtil.ALL_POS,
 			QueryUtil.ALL_POS, null);
@@ -933,7 +933,7 @@ public class FooPersistenceImpl extends BasePersistenceImpl<Foo>
 	 * @param end the upper bound of the range of foos (not inclusive)
 	 * @return the range of matching foos
 	 */
-	@Override
+
 	public List<Foo> findByUuid_C(String uuid, long companyId, int start,
 		int end) {
 		return findByUuid_C(uuid, companyId, start, end, null);
@@ -953,7 +953,7 @@ public class FooPersistenceImpl extends BasePersistenceImpl<Foo>
 	 * @param orderByComparator the comparator to order the results by (optionally <code>null</code>)
 	 * @return the ordered range of matching foos
 	 */
-	@Override
+
 	public List<Foo> findByUuid_C(String uuid, long companyId, int start,
 		int end, OrderByComparator<Foo> orderByComparator) {
 		return findByUuid_C(uuid, companyId, start, end, orderByComparator, true);
@@ -974,7 +974,7 @@ public class FooPersistenceImpl extends BasePersistenceImpl<Foo>
 	 * @param retrieveFromCache whether to retrieve from the finder cache
 	 * @return the ordered range of matching foos
 	 */
-	@Override
+
 	public List<Foo> findByUuid_C(String uuid, long companyId, int start,
 		int end, OrderByComparator<Foo> orderByComparator,
 		boolean retrieveFromCache) {
@@ -1107,7 +1107,7 @@ public class FooPersistenceImpl extends BasePersistenceImpl<Foo>
 	 * @return the first matching foo
 	 * @throws NoSuchFooException if a matching foo could not be found
 	 */
-	@Override
+
 	public Foo findByUuid_C_First(String uuid, long companyId,
 		OrderByComparator<Foo> orderByComparator) throws NoSuchFooException {
 		Foo foo = fetchByUuid_C_First(uuid, companyId, orderByComparator);
@@ -1139,7 +1139,7 @@ public class FooPersistenceImpl extends BasePersistenceImpl<Foo>
 	 * @param orderByComparator the comparator to order the set by (optionally <code>null</code>)
 	 * @return the first matching foo, or <code>null</code> if a matching foo could not be found
 	 */
-	@Override
+
 	public Foo fetchByUuid_C_First(String uuid, long companyId,
 		OrderByComparator<Foo> orderByComparator) {
 		List<Foo> list = findByUuid_C(uuid, companyId, 0, 1, orderByComparator);
@@ -1160,7 +1160,7 @@ public class FooPersistenceImpl extends BasePersistenceImpl<Foo>
 	 * @return the last matching foo
 	 * @throws NoSuchFooException if a matching foo could not be found
 	 */
-	@Override
+
 	public Foo findByUuid_C_Last(String uuid, long companyId,
 		OrderByComparator<Foo> orderByComparator) throws NoSuchFooException {
 		Foo foo = fetchByUuid_C_Last(uuid, companyId, orderByComparator);
@@ -1192,7 +1192,7 @@ public class FooPersistenceImpl extends BasePersistenceImpl<Foo>
 	 * @param orderByComparator the comparator to order the set by (optionally <code>null</code>)
 	 * @return the last matching foo, or <code>null</code> if a matching foo could not be found
 	 */
-	@Override
+
 	public Foo fetchByUuid_C_Last(String uuid, long companyId,
 		OrderByComparator<Foo> orderByComparator) {
 		int count = countByUuid_C(uuid, companyId);
@@ -1221,7 +1221,7 @@ public class FooPersistenceImpl extends BasePersistenceImpl<Foo>
 	 * @return the previous, current, and next foo
 	 * @throws NoSuchFooException if a foo with the primary key could not be found
 	 */
-	@Override
+
 	public Foo[] findByUuid_C_PrevAndNext(long fooId, String uuid,
 		long companyId, OrderByComparator<Foo> orderByComparator)
 		throws NoSuchFooException {
@@ -1382,7 +1382,7 @@ public class FooPersistenceImpl extends BasePersistenceImpl<Foo>
 	 * @param uuid the uuid
 	 * @param companyId the company ID
 	 */
-	@Override
+
 	public void removeByUuid_C(String uuid, long companyId) {
 		for (Foo foo : findByUuid_C(uuid, companyId, QueryUtil.ALL_POS,
 				QueryUtil.ALL_POS, null)) {
@@ -1397,7 +1397,7 @@ public class FooPersistenceImpl extends BasePersistenceImpl<Foo>
 	 * @param companyId the company ID
 	 * @return the number of matching foos
 	 */
-	@Override
+
 	public int countByUuid_C(String uuid, long companyId) {
 		FinderPath finderPath = FINDER_PATH_COUNT_BY_UUID_C;
 
@@ -1494,7 +1494,7 @@ public class FooPersistenceImpl extends BasePersistenceImpl<Foo>
 	 * @param field1 the field1
 	 * @return the matching foos
 	 */
-	@Override
+
 	public List<Foo> findByField1(String field1) {
 		return findByField1(field1, QueryUtil.ALL_POS, QueryUtil.ALL_POS, null);
 	}
@@ -1511,7 +1511,7 @@ public class FooPersistenceImpl extends BasePersistenceImpl<Foo>
 	 * @param end the upper bound of the range of foos (not inclusive)
 	 * @return the range of matching foos
 	 */
-	@Override
+
 	public List<Foo> findByField1(String field1, int start, int end) {
 		return findByField1(field1, start, end, null);
 	}
@@ -1529,7 +1529,7 @@ public class FooPersistenceImpl extends BasePersistenceImpl<Foo>
 	 * @param orderByComparator the comparator to order the results by (optionally <code>null</code>)
 	 * @return the ordered range of matching foos
 	 */
-	@Override
+
 	public List<Foo> findByField1(String field1, int start, int end,
 		OrderByComparator<Foo> orderByComparator) {
 		return findByField1(field1, start, end, orderByComparator, true);
@@ -1549,7 +1549,7 @@ public class FooPersistenceImpl extends BasePersistenceImpl<Foo>
 	 * @param retrieveFromCache whether to retrieve from the finder cache
 	 * @return the ordered range of matching foos
 	 */
-	@Override
+
 	public List<Foo> findByField1(String field1, int start, int end,
 		OrderByComparator<Foo> orderByComparator, boolean retrieveFromCache) {
 		boolean pagination = true;
@@ -1671,7 +1671,7 @@ public class FooPersistenceImpl extends BasePersistenceImpl<Foo>
 	 * @return the first matching foo
 	 * @throws NoSuchFooException if a matching foo could not be found
 	 */
-	@Override
+
 	public Foo findByField1_First(String field1,
 		OrderByComparator<Foo> orderByComparator) throws NoSuchFooException {
 		Foo foo = fetchByField1_First(field1, orderByComparator);
@@ -1699,7 +1699,7 @@ public class FooPersistenceImpl extends BasePersistenceImpl<Foo>
 	 * @param orderByComparator the comparator to order the set by (optionally <code>null</code>)
 	 * @return the first matching foo, or <code>null</code> if a matching foo could not be found
 	 */
-	@Override
+
 	public Foo fetchByField1_First(String field1,
 		OrderByComparator<Foo> orderByComparator) {
 		List<Foo> list = findByField1(field1, 0, 1, orderByComparator);
@@ -1719,7 +1719,7 @@ public class FooPersistenceImpl extends BasePersistenceImpl<Foo>
 	 * @return the last matching foo
 	 * @throws NoSuchFooException if a matching foo could not be found
 	 */
-	@Override
+
 	public Foo findByField1_Last(String field1,
 		OrderByComparator<Foo> orderByComparator) throws NoSuchFooException {
 		Foo foo = fetchByField1_Last(field1, orderByComparator);
@@ -1747,7 +1747,7 @@ public class FooPersistenceImpl extends BasePersistenceImpl<Foo>
 	 * @param orderByComparator the comparator to order the set by (optionally <code>null</code>)
 	 * @return the last matching foo, or <code>null</code> if a matching foo could not be found
 	 */
-	@Override
+
 	public Foo fetchByField1_Last(String field1,
 		OrderByComparator<Foo> orderByComparator) {
 		int count = countByField1(field1);
@@ -1775,7 +1775,7 @@ public class FooPersistenceImpl extends BasePersistenceImpl<Foo>
 	 * @return the previous, current, and next foo
 	 * @throws NoSuchFooException if a foo with the primary key could not be found
 	 */
-	@Override
+
 	public Foo[] findByField1_PrevAndNext(long fooId, String field1,
 		OrderByComparator<Foo> orderByComparator) throws NoSuchFooException {
 		Foo foo = findByPrimaryKey(fooId);
@@ -1935,7 +1935,7 @@ public class FooPersistenceImpl extends BasePersistenceImpl<Foo>
 	 * @param field1s the field1s
 	 * @return the matching foos
 	 */
-	@Override
+
 	public List<Foo> findByField1(String[] field1s) {
 		return findByField1(field1s, QueryUtil.ALL_POS, QueryUtil.ALL_POS, null);
 	}
@@ -1952,7 +1952,7 @@ public class FooPersistenceImpl extends BasePersistenceImpl<Foo>
 	 * @param end the upper bound of the range of foos (not inclusive)
 	 * @return the range of matching foos
 	 */
-	@Override
+
 	public List<Foo> findByField1(String[] field1s, int start, int end) {
 		return findByField1(field1s, start, end, null);
 	}
@@ -1970,7 +1970,7 @@ public class FooPersistenceImpl extends BasePersistenceImpl<Foo>
 	 * @param orderByComparator the comparator to order the results by (optionally <code>null</code>)
 	 * @return the ordered range of matching foos
 	 */
-	@Override
+
 	public List<Foo> findByField1(String[] field1s, int start, int end,
 		OrderByComparator<Foo> orderByComparator) {
 		return findByField1(field1s, start, end, orderByComparator, true);
@@ -1990,7 +1990,7 @@ public class FooPersistenceImpl extends BasePersistenceImpl<Foo>
 	 * @param retrieveFromCache whether to retrieve from the finder cache
 	 * @return the ordered range of matching foos
 	 */
-	@Override
+
 	public List<Foo> findByField1(String[] field1s, int start, int end,
 		OrderByComparator<Foo> orderByComparator, boolean retrieveFromCache) {
 		if (field1s == null) {
@@ -2133,7 +2133,7 @@ public class FooPersistenceImpl extends BasePersistenceImpl<Foo>
 	 *
 	 * @param field1 the field1
 	 */
-	@Override
+
 	public void removeByField1(String field1) {
 		for (Foo foo : findByField1(field1, QueryUtil.ALL_POS,
 				QueryUtil.ALL_POS, null)) {
@@ -2147,7 +2147,7 @@ public class FooPersistenceImpl extends BasePersistenceImpl<Foo>
 	 * @param field1 the field1
 	 * @return the number of matching foos
 	 */
-	@Override
+
 	public int countByField1(String field1) {
 		FinderPath finderPath = FINDER_PATH_COUNT_BY_FIELD1;
 
@@ -2212,7 +2212,7 @@ public class FooPersistenceImpl extends BasePersistenceImpl<Foo>
 	 * @param field1s the field1s
 	 * @return the number of matching foos
 	 */
-	@Override
+
 	public int countByField1(String[] field1s) {
 		if (field1s == null) {
 			field1s = new String[0];
@@ -2326,7 +2326,7 @@ public class FooPersistenceImpl extends BasePersistenceImpl<Foo>
 	 * @param field2 the field2
 	 * @return the matching foos
 	 */
-	@Override
+
 	public List<Foo> findByField2(boolean field2) {
 		return findByField2(field2, QueryUtil.ALL_POS, QueryUtil.ALL_POS, null);
 	}
@@ -2343,7 +2343,7 @@ public class FooPersistenceImpl extends BasePersistenceImpl<Foo>
 	 * @param end the upper bound of the range of foos (not inclusive)
 	 * @return the range of matching foos
 	 */
-	@Override
+
 	public List<Foo> findByField2(boolean field2, int start, int end) {
 		return findByField2(field2, start, end, null);
 	}
@@ -2361,7 +2361,7 @@ public class FooPersistenceImpl extends BasePersistenceImpl<Foo>
 	 * @param orderByComparator the comparator to order the results by (optionally <code>null</code>)
 	 * @return the ordered range of matching foos
 	 */
-	@Override
+
 	public List<Foo> findByField2(boolean field2, int start, int end,
 		OrderByComparator<Foo> orderByComparator) {
 		return findByField2(field2, start, end, orderByComparator, true);
@@ -2381,7 +2381,7 @@ public class FooPersistenceImpl extends BasePersistenceImpl<Foo>
 	 * @param retrieveFromCache whether to retrieve from the finder cache
 	 * @return the ordered range of matching foos
 	 */
-	@Override
+
 	public List<Foo> findByField2(boolean field2, int start, int end,
 		OrderByComparator<Foo> orderByComparator, boolean retrieveFromCache) {
 		boolean pagination = true;
@@ -2489,7 +2489,7 @@ public class FooPersistenceImpl extends BasePersistenceImpl<Foo>
 	 * @return the first matching foo
 	 * @throws NoSuchFooException if a matching foo could not be found
 	 */
-	@Override
+
 	public Foo findByField2_First(boolean field2,
 		OrderByComparator<Foo> orderByComparator) throws NoSuchFooException {
 		Foo foo = fetchByField2_First(field2, orderByComparator);
@@ -2517,7 +2517,7 @@ public class FooPersistenceImpl extends BasePersistenceImpl<Foo>
 	 * @param orderByComparator the comparator to order the set by (optionally <code>null</code>)
 	 * @return the first matching foo, or <code>null</code> if a matching foo could not be found
 	 */
-	@Override
+
 	public Foo fetchByField2_First(boolean field2,
 		OrderByComparator<Foo> orderByComparator) {
 		List<Foo> list = findByField2(field2, 0, 1, orderByComparator);
@@ -2537,7 +2537,7 @@ public class FooPersistenceImpl extends BasePersistenceImpl<Foo>
 	 * @return the last matching foo
 	 * @throws NoSuchFooException if a matching foo could not be found
 	 */
-	@Override
+
 	public Foo findByField2_Last(boolean field2,
 		OrderByComparator<Foo> orderByComparator) throws NoSuchFooException {
 		Foo foo = fetchByField2_Last(field2, orderByComparator);
@@ -2565,7 +2565,7 @@ public class FooPersistenceImpl extends BasePersistenceImpl<Foo>
 	 * @param orderByComparator the comparator to order the set by (optionally <code>null</code>)
 	 * @return the last matching foo, or <code>null</code> if a matching foo could not be found
 	 */
-	@Override
+
 	public Foo fetchByField2_Last(boolean field2,
 		OrderByComparator<Foo> orderByComparator) {
 		int count = countByField2(field2);
@@ -2593,7 +2593,7 @@ public class FooPersistenceImpl extends BasePersistenceImpl<Foo>
 	 * @return the previous, current, and next foo
 	 * @throws NoSuchFooException if a foo with the primary key could not be found
 	 */
-	@Override
+
 	public Foo[] findByField2_PrevAndNext(long fooId, boolean field2,
 		OrderByComparator<Foo> orderByComparator) throws NoSuchFooException {
 		Foo foo = findByPrimaryKey(fooId);
@@ -2734,7 +2734,7 @@ public class FooPersistenceImpl extends BasePersistenceImpl<Foo>
 	 *
 	 * @param field2 the field2
 	 */
-	@Override
+
 	public void removeByField2(boolean field2) {
 		for (Foo foo : findByField2(field2, QueryUtil.ALL_POS,
 				QueryUtil.ALL_POS, null)) {
@@ -2748,7 +2748,7 @@ public class FooPersistenceImpl extends BasePersistenceImpl<Foo>
 	 * @param field2 the field2
 	 * @return the number of matching foos
 	 */
-	@Override
+
 	public int countByField2(boolean field2) {
 		FinderPath finderPath = FINDER_PATH_COUNT_BY_FIELD2;
 
@@ -2804,7 +2804,7 @@ public class FooPersistenceImpl extends BasePersistenceImpl<Foo>
 	 *
 	 * @param foo the foo
 	 */
-	@Override
+
 	public void cacheResult(Foo foo) {
 		entityCache.putResult(FooModelImpl.ENTITY_CACHE_ENABLED, FooImpl.class,
 			foo.getPrimaryKey(), foo);
@@ -2820,7 +2820,7 @@ public class FooPersistenceImpl extends BasePersistenceImpl<Foo>
 	 *
 	 * @param foos the foos
 	 */
-	@Override
+
 	public void cacheResult(List<Foo> foos) {
 		for (Foo foo : foos) {
 			if (entityCache.getResult(FooModelImpl.ENTITY_CACHE_ENABLED,
@@ -2840,7 +2840,7 @@ public class FooPersistenceImpl extends BasePersistenceImpl<Foo>
 	 * The {@link EntityCache} and {@link FinderCache} are both cleared by this method.
 	 * </p>
 	 */
-	@Override
+
 	public void clearCache() {
 		entityCache.clearCache(FooImpl.class);
 
@@ -2856,7 +2856,7 @@ public class FooPersistenceImpl extends BasePersistenceImpl<Foo>
 	 * The {@link EntityCache} and {@link FinderCache} are both cleared by this method.
 	 * </p>
 	 */
-	@Override
+
 	public void clearCache(Foo foo) {
 		entityCache.removeResult(FooModelImpl.ENTITY_CACHE_ENABLED,
 			FooImpl.class, foo.getPrimaryKey());
@@ -2867,7 +2867,7 @@ public class FooPersistenceImpl extends BasePersistenceImpl<Foo>
 		clearUniqueFindersCache((FooModelImpl)foo);
 	}
 
-	@Override
+
 	public void clearCache(List<Foo> foos) {
 		finderCache.clearCache(FINDER_CLASS_NAME_LIST_WITH_PAGINATION);
 		finderCache.clearCache(FINDER_CLASS_NAME_LIST_WITHOUT_PAGINATION);
@@ -2933,7 +2933,7 @@ public class FooPersistenceImpl extends BasePersistenceImpl<Foo>
 	 * @param fooId the primary key for the new foo
 	 * @return the new foo
 	 */
-	@Override
+
 	public Foo create(long fooId) {
 		Foo foo = new FooImpl();
 
@@ -2956,7 +2956,7 @@ public class FooPersistenceImpl extends BasePersistenceImpl<Foo>
 	 * @return the foo that was removed
 	 * @throws NoSuchFooException if a foo with the primary key could not be found
 	 */
-	@Override
+
 	public Foo remove(long fooId) throws NoSuchFooException {
 		return remove((Serializable)fooId);
 	}
@@ -2968,7 +2968,7 @@ public class FooPersistenceImpl extends BasePersistenceImpl<Foo>
 	 * @return the foo that was removed
 	 * @throws NoSuchFooException if a foo with the primary key could not be found
 	 */
-	@Override
+
 	public Foo remove(Serializable primaryKey) throws NoSuchFooException {
 		Session session = null;
 
@@ -2999,7 +2999,7 @@ public class FooPersistenceImpl extends BasePersistenceImpl<Foo>
 		}
 	}
 
-	@Override
+
 	protected Foo removeImpl(Foo foo) {
 		foo = toUnwrappedModel(foo);
 
@@ -3030,7 +3030,7 @@ public class FooPersistenceImpl extends BasePersistenceImpl<Foo>
 		return foo;
 	}
 
-	@Override
+
 	public Foo updateImpl(Foo foo) {
 		foo = toUnwrappedModel(foo);
 
@@ -3205,7 +3205,7 @@ public class FooPersistenceImpl extends BasePersistenceImpl<Foo>
 	 * @return the foo
 	 * @throws NoSuchFooException if a foo with the primary key could not be found
 	 */
-	@Override
+
 	public Foo findByPrimaryKey(Serializable primaryKey)
 		throws NoSuchFooException {
 		Foo foo = fetchByPrimaryKey(primaryKey);
@@ -3229,7 +3229,7 @@ public class FooPersistenceImpl extends BasePersistenceImpl<Foo>
 	 * @return the foo
 	 * @throws NoSuchFooException if a foo with the primary key could not be found
 	 */
-	@Override
+
 	public Foo findByPrimaryKey(long fooId) throws NoSuchFooException {
 		return findByPrimaryKey((Serializable)fooId);
 	}
@@ -3240,7 +3240,7 @@ public class FooPersistenceImpl extends BasePersistenceImpl<Foo>
 	 * @param primaryKey the primary key of the foo
 	 * @return the foo, or <code>null</code> if a foo with the primary key could not be found
 	 */
-	@Override
+
 	public Foo fetchByPrimaryKey(Serializable primaryKey) {
 		Foo foo = (Foo)entityCache.getResult(FooModelImpl.ENTITY_CACHE_ENABLED,
 				FooImpl.class, primaryKey);
@@ -3285,12 +3285,12 @@ public class FooPersistenceImpl extends BasePersistenceImpl<Foo>
 	 * @param fooId the primary key of the foo
 	 * @return the foo, or <code>null</code> if a foo with the primary key could not be found
 	 */
-	@Override
+
 	public Foo fetchByPrimaryKey(long fooId) {
 		return fetchByPrimaryKey((Serializable)fooId);
 	}
 
-	@Override
+
 	public Map<Serializable, Foo> fetchByPrimaryKeys(
 		Set<Serializable> primaryKeys) {
 		if (primaryKeys.isEmpty()) {
@@ -3387,7 +3387,7 @@ public class FooPersistenceImpl extends BasePersistenceImpl<Foo>
 	 *
 	 * @return the foos
 	 */
-	@Override
+
 	public List<Foo> findAll() {
 		return findAll(QueryUtil.ALL_POS, QueryUtil.ALL_POS, null);
 	}
@@ -3403,7 +3403,7 @@ public class FooPersistenceImpl extends BasePersistenceImpl<Foo>
 	 * @param end the upper bound of the range of foos (not inclusive)
 	 * @return the range of foos
 	 */
-	@Override
+
 	public List<Foo> findAll(int start, int end) {
 		return findAll(start, end, null);
 	}
@@ -3420,7 +3420,7 @@ public class FooPersistenceImpl extends BasePersistenceImpl<Foo>
 	 * @param orderByComparator the comparator to order the results by (optionally <code>null</code>)
 	 * @return the ordered range of foos
 	 */
-	@Override
+
 	public List<Foo> findAll(int start, int end,
 		OrderByComparator<Foo> orderByComparator) {
 		return findAll(start, end, orderByComparator, true);
@@ -3439,7 +3439,7 @@ public class FooPersistenceImpl extends BasePersistenceImpl<Foo>
 	 * @param retrieveFromCache whether to retrieve from the finder cache
 	 * @return the ordered range of foos
 	 */
-	@Override
+
 	public List<Foo> findAll(int start, int end,
 		OrderByComparator<Foo> orderByComparator, boolean retrieveFromCache) {
 		boolean pagination = true;
@@ -3526,7 +3526,7 @@ public class FooPersistenceImpl extends BasePersistenceImpl<Foo>
 	 * Removes all the foos from the database.
 	 *
 	 */
-	@Override
+
 	public void removeAll() {
 		for (Foo foo : findAll()) {
 			remove(foo);
@@ -3538,7 +3538,7 @@ public class FooPersistenceImpl extends BasePersistenceImpl<Foo>
 	 *
 	 * @return the number of foos
 	 */
-	@Override
+
 	public int countAll() {
 		Long count = (Long)finderCache.getResult(FINDER_PATH_COUNT_ALL,
 				FINDER_ARGS_EMPTY, this);
@@ -3570,12 +3570,12 @@ public class FooPersistenceImpl extends BasePersistenceImpl<Foo>
 		return count.intValue();
 	}
 
-	@Override
+
 	public Set<String> getBadColumnNames() {
 		return _badColumnNames;
 	}
 
-	@Override
+
 	protected Map<String, Integer> getTableColumnsMap() {
 		return FooModelImpl.TABLE_COLUMNS_MAP;
 	}
@@ -3610,19 +3610,19 @@ public class FooPersistenceImpl extends BasePersistenceImpl<Foo>
 				"uuid"
 			});
 	private static final Foo _nullFoo = new FooImpl() {
-			@Override
+
 			public Object clone() {
 				return this;
 			}
 
-			@Override
+
 			public CacheModel<Foo> toCacheModel() {
 				return _nullFooCacheModel;
 			}
 		};
 
 	private static final CacheModel<Foo> _nullFooCacheModel = new CacheModel<Foo>() {
-			@Override
+
 			public Foo toEntityModel() {
 				return _nullFoo;
 			}
diff --git a/portlets/sample-service-builder-portlet/docroot/WEB-INF/src/com/liferay/sampleservicebuilder/util/LocalObject.java b/portlets/sample-service-builder-portlet/docroot/WEB-INF/src/com/liferay/sampleservicebuilder/util/LocalObject.java
index 7d6f8a0d3af..45ce2dc1af8 100644
--- a/portlets/sample-service-builder-portlet/docroot/WEB-INF/src/com/liferay/sampleservicebuilder/util/LocalObject.java
+++ b/portlets/sample-service-builder-portlet/docroot/WEB-INF/src/com/liferay/sampleservicebuilder/util/LocalObject.java
@@ -1,15 +1,15 @@
 /**
  * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
  *
- * This library is free software; you can redistribute it and/or modify it under
- * the terms of the GNU Lesser General Public License as published by the Free
- * Software Foundation; either version 2.1 of the License, or (at your option)
- * any later version.
+ * The contents of this file are subject to the terms of the applicable 
+ * Liferay software end user license agreement ("License Agreement")
+ * found on www.liferay.com/legal/eulas. You may also contact Liferay, Inc.
+ * for a copy of the License Agreement. You may not use this file except in
+ * compliance with the License Agreement. 
+ * See the License Agreement for the specific language governing
+ * permissions and limitations under the License Agreement, including 
+ * but not limited to distribution rights of the Software.
  *
- * This library is distributed in the hope that it will be useful, but WITHOUT
- * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
- * FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
- * details.
  */
 
 package com.liferay.sampleservicebuilder.util;
